package file

import (
	"net/http"
	"strings"
	"io/ioutil"
	"os"
	"page/response/errors"
	"tools/loger"
	"vars"
)

func ResponseFile(w http.ResponseWriter,r *http.Request,value []string)  {
	test:=""
	for _,arg := range value{
	   test=test+"/"+arg
	}
	if test==""{
	   errors.ResponseError(w,r,403,"Directory listing is not allowed",10002)
	}else{
	   fileName:=value[0]
	   path:=vars.DataPath
	   for _,arg := range value[1:]{
		  path=path+"/"+arg
	   }
	   b,err:=ioutil.ReadFile(path)
	   if err != nil {
		  if find := strings.Contains(err.Error(),"The system cannot find"); find{
			errors.ResponseError(w,r,404,"Cannot find file",10003)
		  }else if s,_:=os.Stat(path); s.IsDir(){
			errors.ResponseError(w,r,403,"Directory listing is not allowed",10002)
		  }else{
			errors.ResponseError(w,r,500,"The file exists but cannot be read",10004)
			loger.LogIn("[Page Thread]","Read the file ",path," failed in data dir! Error info: ",err.Error())
		  }
	   }else{
		  w.Header().Set("Content-Disposition","attachment;filename="+fileName)
		  w.Header().Set("Content-Type","application/octet-stream")
		  w.Write(b)
	   }
	}
 }