package loger

import (
	"fmt"
	"log"
	"os"
	"vars"
)

var Loger *log.Logger

func init()  {
	logFile,err:=os.OpenFile(vars.WorkPath+"logs.log", os.O_WRONLY|os.O_CREATE|os.O_APPEND, 0666)
	if err != nil {
	   panic(err)
	}
	defer logFile.Close()
	Loger=log.New(logFile,"",log.LstdFlags|log.Lshortfile)
}
func LogIn(text ...interface{})  {
	result:=""
	for _,arg := range text {
		 result+=fmt.Sprint(arg)
	}
	log.Print(result)
	Loger.Print(result)
 }