package vars

import(
	"os"
	"io/ioutil"
	"encoding/json"
)

var WorkPath,DataPath string
var NodeList,Database,Dataread []map[string]string

func init()  {
	WorkPath="gmclapi/"
	DataPath=WorkPath+"data/"
	err:=os.MkdirAll(WorkPath, os.ModePerm)
	if err != nil {
	   panic(err)
	}
	err=os.MkdirAll(DataPath, os.ModePerm)
	if err != nil {
	   panic(err)
	}
	if _,err:=os.Stat(WorkPath+"database.db"); os.IsNotExist(err){
	   database,err:=os.OpenFile(WorkPath+"database.db", os.O_WRONLY|os.O_CREATE, 0666)
	   database.Write([]byte("[]"))
	   if err != nil {
		  panic(err)
	   }
	   defer database.Close()
	}
	for {
	   file,err:=os.OpenFile(WorkPath+"/database.db", os.O_RDONLY,0600)
	   defer file.Close()
	   if err != nil {
		  continue
	   }
	   bytes,err:=ioutil.ReadAll(file)
	   if err != nil {
		  continue
	   }
	   err=json.Unmarshal(bytes,&Database)
	   if err != nil {
		  continue
	   }
	   break
	}
}
func DetermineNode(hash string,fileName string) string {
   return "http://1.cn.server.ghink.net:8000/file/"+fileName+"/"+hash
}